#
# spec file for package perl-File-Find-Rule
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name File-Find-Rule
Name:           perl-File-Find-Rule
Version:        0.350.0
Release:        1.1
# 0.35 -> normalize -> 0.350.0
%define cpan_version 0.35
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Alternative interface to File::Find
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Number::Compare)
BuildRequires:  perl(Text::Glob) >= 0.70
Requires:       perl(Number::Compare)
Requires:       perl(Text::Glob) >= 0.70
Provides:       perl(File::Find::Rule) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes findrule

%changelog
* Wed Jun 11 2025 Tina Müller <timueller+perl@suse.de>
- updated to 0.350.0 (0.35)
  see /usr/share/doc/packages/perl-File-Find-Rule/Changes
  0.35 Thursday 5th June, 2025
    Fix for CVE-2011-10007 https://github.com/richardc/perl-file-find-rule/pull/4
    bsc#1244148
* Sat May 24 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Thu Apr 21 2022 Marcus Meissner <meissner@suse.com>
- URLs switched to https
* Sat Dec  5 2015 coolo@suse.com
- updated to 0.34
  see /usr/share/doc/packages/perl-File-Find-Rule/Changes
  0.34 Thursday 4th December, 2015
    Add canonpath option to normalize file-path
    separators.  Work by Mithun Ayachit.
* Wed Sep 21 2011 vcizek@suse.com
- update to 0.33
    Fixes the case where name("foo(*") hits an error with mismatched
    parentheis.  Reported by Jan Engelhardt.
* Fri Jun 17 2011 vcizek@novell.com
- license correction (same as Perl)
* Tue Jan 11 2011 vcizek@novell.com
- update to 0.32
  Rework the referencing of anyonymous subroutines internally,
    closes RT#46599 (Reported by Kevin Ryde)
  Move to Makefile.PL
    use Test::Differences in the testsuite if available.
  Rearrange the testsuite so you don't keep tripping over yourself.
  Dropped 5.00503 backwards compatibility, allows some 5.6isms and
    dropping the shonky Cwd code.
  All taint 'bugs' are now the same as the behaviour of File::Find,
    documentation has been added to describe this.
- bzipped tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.30
